---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetInstanceSetBySystemRoutineMethod;'
    inherits:  '&IDC_Method;'
    name:      GSS - Get Instance Set By System Routine Method
    index:     65
    customTagName: getInstanceSetBySystemRoutineMethod
    relationships:
    # - instance: '&IDR_Get_Instance_Set_By_System_Routine_Method__returns__Instance_Set;'
    #   customTagName: 'returnsInstanceSetId'
    - instance: '&IDR_Get_Instance_Set_By_System_Routine_Method__uses__System_Instance_Set_Routine;'
      customTagName: 'systemInstanceSetRoutine'

  - relationship: '&IDR_Get_Instance_Set_By_System_Routine_Method__uses__System_Instance_Set_Routine;'
    index: 131
    sourceClassId: '&IDC_GetInstanceSetBySystemRoutineMethod;'
    type: 'uses'
    destinationClassId: '&IDC_SystemInstanceSetRoutine;'
    siblingRelationshipId: '&IDR_System_Instance_Set_Routine__used_by__Get_Instance_Set_By_System_Routine_Method;'
    singular: yes

  - relationship: '&IDR_System_Instance_Set_Routine__used_by__Get_Instance_Set_By_System_Routine_Method;'
    index: 132
    sourceClassId: '&IDC_SystemInstanceSetRoutine;'
    type: 'used by'
    destinationClassId: '&IDC_GetInstanceSetBySystemRoutineMethod;'
    siblingRelationshipId: '&IDR_Get_Instance_Set_By_System_Routine_Method__uses__System_Instance_Set_Routine;'
    singular: no
